#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB5,0x11,0xE3,0xCB,0x68,0x2C,0x23,0x2E,0x05,0xD4,0x58,0xBB,
		0xEE,0xA1,0xF8,0x15,0x7B,0x4D,0x07,0x3B,0xEA,0x06,0xCA,0x65,
		0x46,0xC1,0x2D,0xBA,0x56,0x8A,0xFB,0x5B,0x99,0xF5,0x68,0x70,
		0x64,0x5B,0xCE,0xEC,0x2A,0xD5,0x8B,0x73,0x8B,0x98,0x34,0x12,
		0x3A,0x16,0xB0,0xF0,0x56,0xBA,0x5D,0x3A,0x95,0xE0,0x83,0xF4,
		0xC5,0x48,0x15,0x8B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
